# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Migration from cdrtools to schily done with help from opensuse package as reference:
# https://build.opensuse.org/package/view_file/utilities/schily/schily.spec?expand=0

# We can use file capabilities rather than setuid if we have rpm 4.7 or later
%global perms_cdda2wav %caps(cap_dac_override,cap_sys_admin,cap_sys_nice,cap_net_bind_service,cap_sys_rawio+ep)
%global perms_cdrecord %caps(cap_sys_resource,cap_dac_override,cap_sys_admin,cap_sys_nice,cap_net_bind_service,cap_ipc_lock,cap_sys_rawio+ep)
%global perms_readcd %caps(cap_dac_override,cap_sys_admin,cap_net_bind_service,cap_sys_rawio+ep)

# Need to bump epoch or version or release for everything each time
%global schily_version		2020-11-25
%global schily_release		1.0.%{__distinit}%{__distvers}
%global btcflash_epoch		11
%global btcflash_version	1.1
%global btcflash_release	1.17.%{__distinit}%{__distvers}
%global cdrtools_epoch		10
%global cdrtools_version	3.02
%global cdrtools_release	0.21.a10.%{__distinit}%{__distvers}

Name:		schily
Version:	%(echo %{schily_version} | tr - .)
Release:	%{schily_release}
Summary:	A Tool Box with tools written or managed by Jörg Schilling
License:	CDDL-1.0 and GPLv2 and GPLv2+ and BSD and MIT and ISC
URL:		http://sourceforge.net/projects/schilytools/
Source0:	http://downloads.sf.net/schilytools/%{name}-%{schily_version}.tar.bz2
Patch0:		cdrecord-default.patch
BuildRequires:	coreutils
BuildRequires:	e2fsprogs-devel
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	gettext-devel
BuildRequires:	glibc-common
BuildRequires:	libacl-devel
BuildRequires:	libattr-devel
BuildRequires:	libcap-devel
BuildRequires:	libselinux-devel
BuildRequires:	m4
BuildRequires:	make
BuildRequires:	perl-interpreter
BuildRequires:	sed

%description
A Tool Box with tools written or managed by Jörg Schilling.

%package -n btcflash
Summary:	Firmware flash utility for BTC DRW1008 DVD+/-RW recorder
Epoch:		%{btcflash_epoch}
Version:	%{btcflash_version}
Release:	%{btcflash_release}
License:	CDDL-1.0
Requires:	cdrtools-libs%{?_isa} = %{cdrtools_epoch}:%{cdrtools_version}-%{cdrtools_release}

%description -n btcflash
This is a firmware flash utility for BTC DRW1008 DVD+/-RW recorders.

%package -n cdda2wav
Summary:	A CD Digital Audio Extraction tool
Epoch:		%{cdrtools_epoch}
Version:	%{cdrtools_version}
Release:	%{cdrtools_release}
License:	CDDL-1.0
Requires:	cdrtools-libs%{?_isa} = %{cdrtools_epoch}:%{cdrtools_version}-%{cdrtools_release}
Obsoletes:	icedax < %{cdrtools_epoch}:
Provides:	icedax = %{cdrtools_epoch}:

%description -n cdda2wav
cdda2wav can retrieve CDDA audio tracks from CDROM drives that are
capable of reading audio data digitally to the host via SCSI.

%package -n cdrecord
Summary:	A CD/DVD/BD recording program
Epoch:		%{cdrtools_epoch}
Version:	%{cdrtools_version}
Release:	%{cdrtools_release}
License:	CDDL-1.0
Requires:	cdrtools-libs%{?_isa} = %{cdrtools_epoch}:%{cdrtools_version}-%{cdrtools_release}
Obsoletes:	wodim < %{cdrtools_epoch}:
Provides:	wodim = %{cdrtools_epoch}:

%description -n cdrecord
cdrecord is a program to record (slang: "burn") data or audio Compact Discs
on an Orange Book CD recorder, to write DVD media on a DVD recorder or to
write BluRay media on a BluRay recorder.

%package -n cdrtools-devel
Summary:	Development files for the cdrtools libraries
Epoch:		%{cdrtools_epoch}
Version:	%{cdrtools_version}
Release:	%{cdrtools_release}
License:	CDDL-1.0 and BSD and LGPLv2
Requires:	cdrtools-libs%{?_isa} = %{cdrtools_epoch}:%{cdrtools_version}-%{cdrtools_release}

%description -n cdrtools-devel
This package provides the development files of the cdrtools libraries.

%package -n cdrtools-libs
Summary:	Libraries for cdrtools
Epoch:		%{cdrtools_epoch}
Version:	%{cdrtools_version}
Release:	%{cdrtools_release}
License:	CDDL-1.0 and BSD and LGPLv2

%description -n cdrtools-libs
This package provides the shared libraries for cdrtools.

%package -n mkisofs
Summary:	Creates an image of an ISO9660 file system
Epoch:		%{cdrtools_epoch}
Version:	%{cdrtools_version}
Release:	%{cdrtools_release}
License:	GPLv2
Requires:	cdrtools-libs%{?_isa} = %{cdrtools_epoch}:%{cdrtools_version}-%{cdrtools_release}
Obsoletes:	genisoimage < %{cdrtools_epoch}:
Provides:	genisoimage = %{cdrtools_epoch}:

%description -n mkisofs
Create hybrid ISO9660/JOLIET/HFS file systems with Rock Ridge attributes.

%prep
%setup -q -n schily-%{schily_version}
%patch0 -p0 -b .cdrecord-default

# Turn off silent compilation
perl -i -pe 's{\@echo}{echo}' RULES/cc-*

# Use UTF-8 encoding everywhere rather than ISO-8859-1
for i in $(find . -name "*.c") $(find . -name "*.1") $(find . -name "*.8") \
	cdda2wav/{Changelog,README,THANKS} cdrecord/README* BUILD ABOUT INSTALL \
	CONTRIBUTING Changelog COMPILE AN-* ANNOUNCEMENTS/AN-* mkisofs/ChangeLog; do
	iconv -f iso-8859-1 $i -t utf-8 -o $i.new && mv -f $i.new $i
done

# Look at version numbers
echo 'btcflash version:'
grep 'char[[:space:]]*skel_version' btcflash/skel.c
echo 'cdrtools version:'
grep "VERSION[[:space:]]" cdrecord/version.h

%build
make \
	COPTX="%{optflags} -fno-strict-aliasing" \
	GMAKE_NOWARN=true \
	LINKMODE="dynamic" \
	RUNPATH= \
	SCCS_BIN_PRE= \
	SCCS_HELP_PRE=

%install
make \
	GMAKE_NOWARN=true \
	INS_BASE=%{_prefix} \
	LINKMODE="dynamic" \
	DESTDIR=%{buildroot} \
	RUNPATH= \
	SCCS_BIN_PRE= \
	SCCS_HELP_PRE= \
	install

# Not packaging profiled libraries
rm -rv	%{buildroot}/usr/lib/profiled

# We'll package this documentation ourselves
rm -v	%{buildroot}%{_datadir}/doc/cdda2wav/README
rm -v	%{buildroot}%{_datadir}/doc/cdrecord/README*
rm -v	%{buildroot}%{_datadir}/doc/mkisofs/README*

# Not packaging bosh
rm -v	%{buildroot}%{_bindir}/bosh \
	%{buildroot}%{_bindir}/jsh \
	%{buildroot}%{_bindir}/pfsh \
	%{buildroot}%{_bindir}/sh \
	%{buildroot}%{_prefix}/xpg4/bin/bosh \
	%{buildroot}%{_prefix}/xpg4/bin/sh \
	%{buildroot}%{_mandir}/man1/bosh.1 \
	%{buildroot}%{_mandir}/man1/jsh.1 \
	%{buildroot}%{_mandir}/man1/pfsh.1 \
	%{buildroot}%{_mandir}/man1/sh.1 \
	%{buildroot}%{_datadir}/doc/bosh/dotfiles.tar.bz2

# Not packaging bsh
rm -v	%{buildroot}%{_bindir}/bsh \
	%{buildroot}%{_bindir}/pfbsh \
	%{buildroot}%{_mandir}/man1/bsh.1 \
	%{buildroot}%{_mandir}/man1/pfbsh.1 \
	%{buildroot}%{_datadir}/doc/bsh/dotfiles.tar.bz2

# Not packaging cal
rm -v	%{buildroot}%{_bindir}/cal \
	%{buildroot}%{_mandir}/man1/cal.1

# Not packaging calc
rm -v	%{buildroot}%{_bindir}/calc \
	%{buildroot}%{_mandir}/man1/calc.1

# Not packaging calltree
rm -v	%{buildroot}%{_bindir}/calltree \
	%{buildroot}%{_mandir}/man1/calltree.1

# Not packaging change
rm -v	%{buildroot}%{_bindir}/change \
	%{buildroot}%{_mandir}/man1/change.1

# Not packaging compare
rm -v	%{buildroot}%{_bindir}/compare \
	%{buildroot}%{_mandir}/man1/compare.1

# Not packaging copy
rm -v	%{buildroot}%{_bindir}/copy \
	%{buildroot}%{_mandir}/man1/copy.1

# Not packaging copy
rm -v	%{buildroot}%{_bindir}/count \
	%{buildroot}%{_mandir}/man1/count.1

# Not packaging cpp
rm -v	%{buildroot}%{_prefix}/lib/cpp \
	%{buildroot}%{_mandir}/man1/cpp.1

# Not packaging cstyle
rm -v	%{buildroot}%{_bindir}/Cstyle \
	%{buildroot}%{_bindir}/cstyle.js \
	%{buildroot}%{_bindir}/ctags \
	%{buildroot}%{_bindir}/vctags \
	%{buildroot}%{_mandir}/man1/cstyle.1 \
	%{buildroot}%{_mandir}/man1/vctags.1

# Not packaging cut
rm -v	%{buildroot}%{_bindir}/scut \
	%{buildroot}%{_mandir}/man1/scut.1

# Not packaging fifo
rm -v	%{buildroot}%{_bindir}/fifo \
	%{buildroot}%{_mandir}/man1/fifo.1

# Not packaging hdump
rm -v	%{buildroot}%{_bindir}/hdump \
	%{buildroot}%{_bindir}/od \
	%{buildroot}%{_prefix}/xpg4/bin/od \
	%{buildroot}%{_mandir}/man1/hdump.1 \
	%{buildroot}%{_mandir}/man1/od.1

# Not packaging label
rm -v	%{buildroot}%{_bindir}/label \
	%{buildroot}%{_mandir}/man1/label.1

# Not packaging libdbgmalloc
rm -v	%{buildroot}%{_prefix}/lib/libdbgmalloc.a

# Not packaging libgetopt
rm -v	%{buildroot}%{_prefix}/lib/libgetopt.a \
	%{buildroot}%{_mandir}/man3/getopt.3 \

# Not packaging librmt
rm -v	%{buildroot}%{_prefix}/lib/librmt.a \
	%{buildroot}%{_prefix}/lib/librmt.so.1.* \
	%{buildroot}%{_prefix}/lib/librmt.so \
	%{buildroot}%{_mandir}/man3/librmt.3 \
	%{buildroot}%{_mandir}/man3/rmtclose.3 \
	%{buildroot}%{_mandir}/man3/rmtdebug.3 \
	%{buildroot}%{_mandir}/man3/rmtfilename.3 \
	%{buildroot}%{_mandir}/man3/rmtg2mtg.3 \
	%{buildroot}%{_mandir}/man3/rmtgetconn.3 \
	%{buildroot}%{_mandir}/man3/rmthostname.3 \
	%{buildroot}%{_mandir}/man3/rmtinit.3 \
	%{buildroot}%{_mandir}/man3/rmtioctl.3 \
	%{buildroot}%{_mandir}/man3/mtg2rmtg.3 \
	%{buildroot}%{_mandir}/man3/rmtopen.3 \
	%{buildroot}%{_mandir}/man3/rmtread.3 \
	%{buildroot}%{_mandir}/man3/rmtrmt.3 \
	%{buildroot}%{_mandir}/man3/rmtrsh.3 \
	%{buildroot}%{_mandir}/man3/rmtseek.3 \
	%{buildroot}%{_mandir}/man3/rmtstatus.3 \
	%{buildroot}%{_mandir}/man3/rmtwrite.3 \
	%{buildroot}%{_mandir}/man3/rmtxstatus.3

# Not packaging libshedit
rm -v	%{buildroot}%{_prefix}/lib/libshedit.a \
	%{buildroot}%{_prefix}/lib/libshedit.so \
	%{buildroot}%{_prefix}/lib/libshedit.so.1.*

# Not packaging libstreamar
rm -v	%{buildroot}%{_prefix}/lib/libstreamar.a \
	%{buildroot}%{_prefix}/lib/libstreamar.so \
	%{buildroot}%{_prefix}/lib/libstreamar.so.1.0 \
	%{buildroot}%{_mandir}/man5/streamarchive.5

# Not packaging libxtermcap
rm -v	%{buildroot}%{_prefix}/lib/libxtermcap.a \
	%{buildroot}%{_prefix}/lib/libxtermcap.so.1.* \
	%{buildroot}%{_prefix}/lib/libxtermcap.so

# Not packaging lndir
rm -v	%{buildroot}%{_bindir}/lndir \
	%{buildroot}%{_mandir}/man1/lndir.1

# Not packaging man2html
rm -v	%{buildroot}%{_bindir}/man2html \
	%{buildroot}%{_mandir}/man1/man2html.1

# Not packaging match
rm -v	%{buildroot}%{_bindir}/match \
	%{buildroot}%{_mandir}/man1/match.1

# Not packaging mdigest
rm -v	%{buildroot}%{_bindir}/mdigest \
	%{buildroot}%{_mandir}/man1/mdigest.1

# Not packaging mountcd
rm -v	%{buildroot}%{_sbindir}/mountcd \
	%{buildroot}%{_mandir}/man1/mountcd.1

# Not packaging obosh
rm -v	%{buildroot}%{_bindir}/obosh \
	%{buildroot}%{_mandir}/man1/obosh.1

# Not packaging p
rm -v	%{buildroot}%{_bindir}/p \
	%{buildroot}%{_mandir}/man1/p.1

# Not packaging paste
rm -v	%{buildroot}%{_bindir}/spaste \
	%{buildroot}%{_mandir}/man1/spaste.1

# Not packaging patch
rm -v	%{buildroot}%{_bindir}/opatch \
	%{buildroot}%{_bindir}/spatch \
	%{buildroot}%{_prefix}/ccs/bin/sccspatch \
	%{buildroot}%{_mandir}/man1/opatch.1 \
	%{buildroot}%{_mandir}/man1/patch.1 \
	%{buildroot}%{_mandir}/man1/sccspatch.1 \
	%{buildroot}%{_mandir}/man1/spatch.1

# Not packaging printf
rm -v	%{buildroot}%{_bindir}/printf \
	%{buildroot}%{_mandir}/man1/printf.1

# Not packaging pbosh
rm -v	%{buildroot}%{_bindir}/pbosh \
	%{buildroot}%{_mandir}/man1/pbosh.1

# Not packaging pxupgrade
rm -v	%{buildroot}%{_bindir}/pxupgrade \
	%{buildroot}%{_mandir}/man1/pxupgrade.1

# Not packaging sccs
rm -v	%{buildroot}%{_bindir}/admin \
	%{buildroot}%{_bindir}/bdiff \
	%{buildroot}%{_bindir}/cdc \
	%{buildroot}%{_bindir}/comb \
	%{buildroot}%{_bindir}/delta \
	%{buildroot}%{_bindir}/diff \
	%{buildroot}%{_bindir}/get \
	%{buildroot}%{_bindir}/help \
	%{buildroot}%{_bindir}/prs \
	%{buildroot}%{_bindir}/prt \
	%{buildroot}%{_bindir}/rcs2sccs \
	%{buildroot}%{_bindir}/rmchg \
	%{buildroot}%{_bindir}/rmdel \
	%{buildroot}%{_bindir}/sact \
	%{buildroot}%{_bindir}/sccs \
	%{buildroot}%{_bindir}/sccscvt \
	%{buildroot}%{_bindir}/sccsdiff \
	%{buildroot}%{_bindir}/sccslog \
	%{buildroot}%{_bindir}/unget \
	%{buildroot}%{_bindir}/val \
	%{buildroot}%{_bindir}/vc \
	%{buildroot}%{_bindir}/what \
	%{buildroot}%{_prefix}/xpg4/bin/get \
	%{buildroot}%{_prefix}/xpg4/bin/sccs \
	%{buildroot}%{_prefix}/lib/diffh \
	%{buildroot}%{_prefix}/lib/libcassi.a \
	%{buildroot}%{_prefix}/lib/libcomobj.a \
	%{buildroot}%{_prefix}/lib/libmpw.a \
	%{buildroot}%{_prefix}/lib/libsccs.a \
	%{buildroot}%{_mandir}/man1/admin.1 \
	%{buildroot}%{_mandir}/man1/bdiff.1 \
	%{buildroot}%{_mandir}/man1/cdc.1 \
	%{buildroot}%{_mandir}/man1/comb.1 \
	%{buildroot}%{_mandir}/man1/delta.1 \
	%{buildroot}%{_mandir}/man1/diff.1 \
	%{buildroot}%{_mandir}/man1/get.1 \
	%{buildroot}%{_mandir}/man1/help.1 \
	%{buildroot}%{_mandir}/man1/prs.1 \
	%{buildroot}%{_mandir}/man1/prt.1 \
	%{buildroot}%{_mandir}/man1/rcs2sccs.1 \
	%{buildroot}%{_mandir}/man1/rmdel.1 \
	%{buildroot}%{_mandir}/man1/sact.1 \
	%{buildroot}%{_mandir}/man1/sccs.1 \
	%{buildroot}%{_mandir}/man1/sccs-add.1 \
	%{buildroot}%{_mandir}/man1/sccs-admin.1 \
	%{buildroot}%{_mandir}/man1/sccs-branch.1 \
	%{buildroot}%{_mandir}/man1/sccs-cdc.1 \
	%{buildroot}%{_mandir}/man1/sccs-check.1 \
	%{buildroot}%{_mandir}/man1/sccs-clean.1 \
	%{buildroot}%{_mandir}/man1/sccs-comb.1 \
	%{buildroot}%{_mandir}/man1/sccs-commit.1 \
	%{buildroot}%{_mandir}/man1/sccs-create.1 \
	%{buildroot}%{_mandir}/man1/sccs-cvt.1 \
	%{buildroot}%{_mandir}/man1/sccs-deledit.1 \
	%{buildroot}%{_mandir}/man1/sccs-delget.1 \
	%{buildroot}%{_mandir}/man1/sccs-delta.1 \
	%{buildroot}%{_mandir}/man1/sccs-diffs.1 \
	%{buildroot}%{_mandir}/man1/sccs-edit.1 \
	%{buildroot}%{_mandir}/man1/sccs-editor.1 \
	%{buildroot}%{_mandir}/man1/sccs-enter.1 \
	%{buildroot}%{_mandir}/man1/sccs-fix.1 \
	%{buildroot}%{_mandir}/man1/sccs-get.1 \
	%{buildroot}%{_mandir}/man1/sccs-help.1 \
	%{buildroot}%{_mandir}/man1/sccs-histfile.1 \
	%{buildroot}%{_mandir}/man1/sccs-info.1 \
	%{buildroot}%{_mandir}/man1/sccs-init.1 \
	%{buildroot}%{_mandir}/man1/sccs-istext.1 \
	%{buildroot}%{_mandir}/man1/sccs-ldiffs.1 \
	%{buildroot}%{_mandir}/man1/sccs-log.1 \
	%{buildroot}%{_mandir}/man1/sccs-print.1 \
	%{buildroot}%{_mandir}/man1/sccs-prs.1 \
	%{buildroot}%{_mandir}/man1/sccs-prt.1 \
	%{buildroot}%{_mandir}/man1/sccs-rcs2sccs.1 \
	%{buildroot}%{_mandir}/man1/sccs-remove.1 \
	%{buildroot}%{_mandir}/man1/sccs-rename.1 \
	%{buildroot}%{_mandir}/man1/sccs-rmdel.1 \
	%{buildroot}%{_mandir}/man1/sccs-root.1 \
	%{buildroot}%{_mandir}/man1/sccs-sact.1 \
	%{buildroot}%{_mandir}/man1/sccs-sccsdiff.1 \
	%{buildroot}%{_mandir}/man1/sccs-status.1 \
	%{buildroot}%{_mandir}/man1/sccs-tell.1 \
	%{buildroot}%{_mandir}/man1/sccs-unedit.1 \
	%{buildroot}%{_mandir}/man1/sccs-unget.1 \
	%{buildroot}%{_mandir}/man1/sccs-val.1 \
	%{buildroot}%{_mandir}/man1/sccscvt.1 \
	%{buildroot}%{_mandir}/man1/sccsdiff.1 \
	%{buildroot}%{_mandir}/man1/sccslog.1 \
	%{buildroot}%{_mandir}/man1/unget.1 \
	%{buildroot}%{_mandir}/man1/val.1 \
	%{buildroot}%{_mandir}/man1/vc.1 \
	%{buildroot}%{_mandir}/man1/what.1 \
	%{buildroot}%{_mandir}/man5/changeset.5 \
	%{buildroot}%{_mandir}/man5/sccschangeset.5 \
	%{buildroot}%{_mandir}/man5/sccsfile.5
rm -rv	%{buildroot}%{_prefix}/lib/help/locale/C

# Not packaging schily-mt
rm -v	%{buildroot}%{_bindir}/mt \
	%{buildroot}%{_bindir}/smt \
	%{buildroot}%{_mandir}/man1/mt.1 \
	%{buildroot}%{_mandir}/man1/smt.1

# Not packaging schily-rmt
rm -v	%{buildroot}/etc/default/rmt \
	%{buildroot}%{_sbindir}/rmt \
	%{buildroot}%{_datadir}/doc/rmt/default-rmt.sample \
	%{buildroot}%{_mandir}/man1/rmt.1

# Not packaging sdd
rm -v	%{buildroot}%{_bindir}/sdd \
	%{buildroot}%{_mandir}/man1/sdd.1 \
	%{buildroot}%{_mandir}/de/man1/sdd.1

# Not packaging sfind
rm -v	%{buildroot}%{_bindir}/sfind \
	%{buildroot}%{_mandir}/man1/sfind.1

# Not packaging sformat
rm -v	%{buildroot}/etc/sformat.dat \
	%{buildroot}%{_bindir}/sformat \
	%{buildroot}%{_mandir}/man8/sformat.8

# Not packaging sgrow
rm -v	%{buildroot}%{_bindir}/sgrow \
	%{buildroot}%{_mandir}/man1/sgrow.1

# Not packaging smake
rm -v	%{buildroot}%{_bindir}/smake \
	%{buildroot}%{_datadir}/lib/smake/defaults.smk \
	%{buildroot}%{_mandir}/man1/smake.1

# Not packaging star
rm -v	%{buildroot}/etc/default/star \
	%{buildroot}%{_bindir}/gnutar \
	%{buildroot}%{_bindir}/scpio \
	%{buildroot}%{_bindir}/spax \
	%{buildroot}%{_bindir}/star \
	%{buildroot}%{_bindir}/suntar \
	%{buildroot}%{_bindir}/tar \
	%{buildroot}%{_bindir}/ustar \
	%{buildroot}%{_datadir}/doc/star/README \
	%{buildroot}%{_datadir}/doc/star/README.ACL \
	%{buildroot}%{_datadir}/doc/star/README.crash \
	%{buildroot}%{_datadir}/doc/star/README.largefiles \
	%{buildroot}%{_datadir}/doc/star/README.mtio \
	%{buildroot}%{_datadir}/doc/star/README.otherbugs \
	%{buildroot}%{_datadir}/doc/star/README.pattern \
	%{buildroot}%{_datadir}/doc/star/README.posix-2001 \
	%{buildroot}%{_datadir}/doc/star/STARvsGNUTAR \
	%{buildroot}%{_mandir}/man1/gnutar.1 \
	%{buildroot}%{_mandir}/man1/scpio.1 \
	%{buildroot}%{_mandir}/man1/spax.1 \
	%{buildroot}%{_mandir}/man1/star.1 \
	%{buildroot}%{_mandir}/man1/suntar.1 \
	%{buildroot}%{_mandir}/man1/ustar.1 \
	%{buildroot}%{_mandir}/man5/star.5
rm -rv	%{buildroot}%{_datadir}/doc/star/testscripts

# Not packaging star_sym
rm -v	%{buildroot}%{_bindir}/star_sym \
	%{buildroot}%{_mandir}/man1/star_sym.1

# Not packaging strar
rm -v	%{buildroot}%{_bindir}/strar \
	%{buildroot}%{_mandir}/man1/strar.1

# Not packaging SunPro make
rm -v	%{buildroot}%{_bindir}/dmake \
	%{buildroot}%{_bindir}/make \
	%{buildroot}%{_prefix}/lib/libbsd.a \
	%{buildroot}%{_prefix}/lib/libmakestate.so \
	%{buildroot}%{_prefix}/lib/libmakestate.so.1.0 \
	%{buildroot}%{_prefix}/lib/libmksh.a \
	%{buildroot}%{_prefix}/lib/libvroot.a \
	%{buildroot}%{_prefix}/lib/svr4.make \
	%{buildroot}%{_prefix}/xpg4/bin/make \
	%{buildroot}%{_datadir}/lib/make/make.rules \
	%{buildroot}%{_datadir}/lib/make/svr4.make.rules \
	%{buildroot}%{_mandir}/man1/dmake.1 \
	%{buildroot}%{_mandir}/man1/make.1 \
	%{buildroot}%{_mandir}/man1/sysV-make.1 \
	%{buildroot}%{_mandir}/man5/makefiles.5 \
	%{buildroot}%{_mandir}/man5/makerules.5

# Not packaging tartest
rm -v	%{buildroot}%{_bindir}/tartest \
	%{buildroot}%{_mandir}/man1/tartest.1

# Not packaging termcap
rm -v	%{buildroot}%{_bindir}/termcap \
	%{buildroot}%{_mandir}/man1/termcap.1

# Not packaging translit
rm -v	%{buildroot}%{_bindir}/translit \
	%{buildroot}%{_mandir}/man1/translit.1

# Not packaging udiff
rm -v	%{buildroot}%{_bindir}/fdiff \
	%{buildroot}%{_bindir}/fsdiff \
	%{buildroot}%{_bindir}/udiff \
	%{buildroot}%{_mandir}/man1/fdiff.1 \
	%{buildroot}%{_mandir}/man1/fsdiff.1 \
	%{buildroot}%{_mandir}/man1/udiff.1

# Not packaging ved
rm -v	%{buildroot}%{_bindir}/ved \
	%{buildroot}%{_bindir}/ved-e \
	%{buildroot}%{_bindir}/ved-w \
	%{buildroot}%{_datadir}/doc/ved/dotfiles.tar.bz2 \
	%{buildroot}%{_datadir}/doc/ved/vedsheet.ps \
	%{buildroot}%{_datadir}/doc/ved/vedsheet.tr \
	%{buildroot}%{_mandir}/help/ved.help \
	%{buildroot}%{_mandir}/man1/ved.1 \
	%{buildroot}%{_mandir}/man1/ved-e.1 \
	%{buildroot}%{_mandir}/man1/ved-w.1

# libsiconv tries to use libc's iconv first before trying its own tables
rm -rv %{buildroot}%{_datadir}/lib/siconv

# Move libraries to the appropriate place on 64-bit arches
if [ %{_libdir} != %{_prefix}/lib ]; then
	mkdir -p %{buildroot}%{_libdir}
	mv %{buildroot}%{_prefix}/lib/lib*.a %{buildroot}%{_libdir}/
	mv %{buildroot}%{_prefix}/lib/lib*.so* %{buildroot}%{_libdir}/
fi

# Make sure permissions are right for libs
chmod -c 755 %{buildroot}%{_libdir}/lib*.a
chmod -c 755 %{buildroot}%{_libdir}/lib*.so*

%if (0%{?rhel} && 0%{?rhel} <= 7) || (0%{?fedora} && 0%{?fedora} <= 27)
# ldconfig replaced by RPM File Triggers from Fedora 28
%post -n cdrtools-libs -p /sbin/ldconfig
%postun -n cdrtools-libs -p /sbin/ldconfig
%endif

%files -n btcflash
%if 0%{?_licensedir:1}
%license CDDL.Schily.txt COPYING
%else
%doc CDDL.Schily.txt COPYING
%endif
%{_mandir}/man1/btcflash.1*
%{_bindir}/btcflash

%files -n cdda2wav
%if 0%{?_licensedir:1}
%license CDDL.Schily.txt
%else
%doc CDDL.Schily.txt
%endif
%doc cdda2wav/Changelog cdda2wav/FAQ cdda2wav/Frontends cdda2wav/HOWTOUSE
%doc cdda2wav/NEEDED cdda2wav/README cdda2wav/THANKS cdda2wav/TODO
%doc cdda2wav/tracknames.txt
%{_bindir}/cdda2mp3
%{_bindir}/cdda2ogg
%{perms_cdda2wav} %{_bindir}/cdda2wav
%{_mandir}/man1/cdda2wav.1*
%{_mandir}/man1/cdda2mp3.1*
%{_mandir}/man1/cdda2ogg.1*

%files -n cdrecord
%if 0%{?_licensedir:1}
%license CDDL.Schily.txt cdrecord/LICENSE
%else
%doc CDDL.Schily.txt cdrecord/LICENSE
%endif
%doc cdrecord/README* AN* CONTRIBUTING
%exclude %{_datadir}/doc/rscsi/default-rscsi.sample
%config(noreplace) /etc/default/cdrecord
%config(noreplace) /etc/default/rscsi
%{perms_cdrecord} %{_bindir}/cdrecord
%{_bindir}/scgcheck
%{_bindir}/scgskeleton
%{perms_readcd} %{_bindir}/readcd
%{_sbindir}/rscsi
%{_mandir}/man1/cdrecord.1*
%{_mandir}/man1/readcd.1*
%{_mandir}/man1/rscsi.1*
%{_mandir}/man1/scgcheck.1*
%{_mandir}/man1/scgskeleton.1*

%files -n cdrtools-devel
%doc %{_datadir}/doc/libparanoia/README.interface
%doc %{_datadir}/doc/libparanoia/README.paranoia
%{_includedir}/scg/
%{_includedir}/schily/
%exclude %{_libdir}/libcdrdeflt.a
%exclude %{_libdir}/libdeflt.a
%exclude %{_libdir}/libedc_ecc.a
%exclude %{_libdir}/libedc_ecc_dec.a
%exclude %{_libdir}/libfile.a
%exclude %{_libdir}/libfind.a
%exclude %{_libdir}/libhfs.a
%exclude %{_libdir}/libmdigest.a
%exclude %{_libdir}/libparanoia.a
%exclude %{_libdir}/librscg.a
%exclude %{_libdir}/libscg.a
%exclude %{_libdir}/libscgcmd.a
%exclude %{_libdir}/libschily.a
%exclude %{_libdir}/libsiconv.a
%{_libdir}/libcdrdeflt.so
%{_libdir}/libdeflt.so
%{_libdir}/libedc_ecc.so
%{_libdir}/libedc_ecc_dec.so
%{_libdir}/libfile.so
%{_libdir}/libfind.so
%{_libdir}/libhfs.so
%{_libdir}/libmdigest.so
%{_libdir}/libparanoia.so
%{_libdir}/librscg.so
%{_libdir}/libscg.so
%{_libdir}/libscgcmd.so
%{_libdir}/libschily.so
%{_libdir}/libsiconv.so
# Manpages for libschily
%{_mandir}/man3/absfpath.3*
%{_mandir}/man3/absnpath.3*
%{_mandir}/man3/abspath.3*
%{_mandir}/man3/astoi.3*
%{_mandir}/man3/astol.3*
%{_mandir}/man3/breakline.3*
%{_mandir}/man3/cmpbytes.3*
%{_mandir}/man3/comerr.3*
%{_mandir}/man3/comerrno.3*
%{_mandir}/man3/errmsg.3*
%{_mandir}/man3/errmsgno.3*
%{_mandir}/man3/error.3*
%{_mandir}/man3/fdown.3*
%{_mandir}/man3/fdup.3*
%{_mandir}/man3/fexecl.3*
%{_mandir}/man3/fexecle.3*
%{_mandir}/man3/fexecv.3*
%{_mandir}/man3/fexecve.3*
%{_mandir}/man3/fgetline.3*
%{_mandir}/man3/file_raise.3*
%{_mandir}/man3/fileclose.3*
%{_mandir}/man3/fileluopen.3*
%{_mandir}/man3/fileopen.3*
%{_mandir}/man3/filepos.3*
%{_mandir}/man3/fileread.3*
%{_mandir}/man3/filereopen.3*
%{_mandir}/man3/fileseek.3*
%{_mandir}/man3/filesize.3*
%{_mandir}/man3/filestat.3*
%{_mandir}/man3/filewrite.3*
%{_mandir}/man3/findline.3*
%{_mandir}/man3/flush.3*
%{_mandir}/man3/fnmatch.3*
%{_mandir}/man3/format.3*
%{_mandir}/man3/fpipe.3*
%{_mandir}/man3/fprintf.3*
%{_mandir}/man3/getallargs.3*
%{_mandir}/man3/getargs.3*
%{_mandir}/man3/getargerror.3*
%{_mandir}/man3/getarginit.3*
%{_mandir}/man3/geterrno.3*
%{_mandir}/man3/getfiles.3*
%{_mandir}/man3/getlallargs.3*
%{_mandir}/man3/getlargs.3*
%{_mandir}/man3/getlfiles.3*
%{_mandir}/man3/getline.3*
%{_mandir}/man3/getsubopt.3*
%{_mandir}/man3/getvallargs.3*
%{_mandir}/man3/getvargs.3*
%{_mandir}/man3/getvfiles.3*
%{_mandir}/man3/handlecond.3*
%{_mandir}/man3/movebytes.3*
%{_mandir}/man3/ofindline.3*
%{_mandir}/man3/patcompile.3*
%{_mandir}/man3/patmatch.3*
%{_mandir}/man3/peekc.3*
%{_mandir}/man3/printf.3*
%{_mandir}/man3/raisecond.3*
%{_mandir}/man3/resolvefpath.3*
%{_mandir}/man3/resolvenpath.3*
%{_mandir}/man3/resolvepath.3*
%{_mandir}/man3/spawnl.3*
%{_mandir}/man3/spawnv.3*
%{_mandir}/man3/sprintf.3*
%{_mandir}/man3/starthandlecond.3*
%{_mandir}/man3/strcatl.3*
%{_mandir}/man3/streql.3*
%{_mandir}/man3/strlen.3*
%{_mandir}/man3/unhandlecond.3*

%files -n cdrtools-libs
%if 0%{?_licensedir:1}
%license COPYING GPL-2.0.txt LGPL-2.1.txt CDDL.Schily.txt
%else
%doc COPYING GPL-2.0.txt LGPL-2.1.txt CDDL.Schily.txt
%endif
%{_libdir}/libcdrdeflt.so.1.*
%{_libdir}/libdeflt.so.1.*
%{_libdir}/libedc_ecc.so.1.*
%{_libdir}/libedc_ecc_dec.so.1.*
%{_libdir}/libfile.so.1.*
%{_libdir}/libfind.so.4.*
%{_libdir}/libhfs.so.1.*
%{_libdir}/libmdigest.so.1.*
%{_libdir}/libparanoia.so.1.*
%{_libdir}/librscg.so.1.*
%{_libdir}/libscg.so.1.*
%{_libdir}/libscgcmd.so.1.*
%{_libdir}/libschily.so.2.*
%{_libdir}/libsiconv.so.1.*

%files -n mkisofs
%if 0%{?_licensedir:1}
%license mkisofs/COPYING
%else
%doc mkisofs/COPYING
%endif
%doc mkisofs/ChangeLog mkisofs/ChangeLog.mkhybrid mkisofs/RELEASE mkisofs/TODO mkisofs/README*
%{_bindir}/mkisofs
%{_bindir}/mkhybrid
%{_bindir}/isoinfo
%{_bindir}/devdump
%{_bindir}/isodump
%{_bindir}/isovfy
%{_bindir}/isodebug
%{_mandir}/man8/devdump.8*
%{_mandir}/man8/isodebug.8*
%{_mandir}/man8/isodump.8*
%{_mandir}/man8/isoinfo.8*
%{_mandir}/man8/isovfy.8*
%{_mandir}/man8/mkhybrid.8*
%{_mandir}/man8/mkisofs.8*

%changelog
* Thu Nov 26 2020 Paul Howarth <paul@city-fan.org> - 2020.11.25-1
- Update to 2020.11.25
- BR: m4

* Thu Nov  5 2020 Paul Howarth <paul@city-fan.org> - 2020.11.04-1
- Update to 2020.11.04

* Sat Oct 10 2020 Paul Howarth <paul@city-fan.org> - 2020.10.09-1
- Update to 2020.10.09

* Wed Sep 23 2020 Paul Howarth <paul@city-fan.org> - 2020.09.22-1
- Update to 2020.09.22

* Wed Sep  9 2020 Paul Howarth <paul@city-fan.org> - 2020.09.04-1
- Update to 2020.09.04

* Wed Aug 12 2020 Paul Howarth <paul@city-fan.org> - 2020.08.12-1
- Update to 2020.08.12

* Mon Jul 20 2020 Paul Howarth <paul@city-fan.org> - 2020.07.18-1
- Update to 2020.07.18

* Wed Jul  1 2020 Paul Howarth <paul@city-fan.org> - 2020.07.01-1
- Update to 2020.07.01

* Wed Jun 10 2020 Paul Howarth <paul@city-fan.org> - 2020.06.09-1
- Update to 2020.06.09

* Thu May 28 2020 Paul Howarth <paul@city-fan.org> - 2020.05.25-1
- Update to 2020.05.25

* Tue May 12 2020 Paul Howarth <paul@city-fan.org> - 2020.05.11-1
- Update to 2020.05.11

* Sat Apr 18 2020 Paul Howarth <paul@city-fan.org> - 2020.04.18-1
- Update to 2020.04.18

* Mon Mar 30 2020 Paul Howarth <paul@city-fan.org> - 2020.03.27-1
- Update to 2020.03.27

* Thu Mar 12 2020 Paul Howarth <paul@city-fan.org> - 2020.03.11-1
- Update to 2020.03.11

* Wed Feb 12 2020 Paul Howarth <paul@city-fan.org> - 2020.02.11-1
- Update to 2020.02.11
- Add patch to fix FTBFS with GCC 10

* Fri Dec  6 2019 Paul Howarth <paul@city-fan.org> - 2019.12.05-1
- Update to 2019.12.05
  - SONAME bump: libfind.so.3 ⇒ libfind.so.4

* Wed Nov 13 2019 Paul Howarth <paul@city-fan.org> - 2019.11.11-1
- Update to 2019.11.11

* Sat Nov  9 2019 Paul Howarth <paul@city-fan.org> - 2019.10.25-1
- Upstream bundled into schily package

* Fri Mar  9 2018 Paul Howarth <paul@city-fan.org> - 10:3.02-0.3.a09
- Drop ldconfig scriptlets (replaced by RPM File Triggers) from Fedora 28

* Fri Dec 15 2017 Paul Howarth <paul@city-fan.org> - 10:3.02-0.2.a09
- Update to 3.02 alpha release 09
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Use file capabilities unconditionally
  - Can always build-require gettext-devel

* Mon Dec 19 2016 Paul Howarth <paul@city-fan.org> - 10:3.02-0.2.a07
- Update to 3.02 alpha release 07

* Wed Aug  3 2016 Paul Howarth <paul@city-fan.org> - 10:3.02-0.2.a06
- Fix FTBFS when perl is not in the minimal buildroot
- Specify all build requirements

* Fri Jan 29 2016 Paul Howarth <paul@city-fan.org> - 10:3.02-0.1.a06
- Update to 3.02 alpha release 06

* Fri Jan  1 2016 Paul Howarth <paul@city-fan.org> - 10:3.02-0.1.a05
- Update to 3.02 alpha release 05

* Thu Dec 17 2015 Paul Howarth <paul@city-fan.org> - 10:3.02-0.1.a04
- Update to 3.02 alpha release 04

* Thu Dec  3 2015 Paul Howarth <paul@city-fan.org> - 10:3.02-0.1.a03
- Update to 3.02 alpha release 03

* Tue Nov 24 2015 Paul Howarth <paul@city-fan.org> - 10:3.02-0.1.a02
- Update to 3.02 alpha release 02

* Thu Nov  5 2015 Paul Howarth <paul@city-fan.org> - 10:3.02-0.1.a01
- Update to 3.02 alpha release 01

* Tue Sep  1 2015 Paul Howarth <paul@city-fan.org> - 10:3.01-1.0
- Update to 3.01 final release
- Build with -fno-strict-aliasing

* Wed Aug  5 2015 Paul Howarth <paul@city-fan.org> - 10:3.01-0.2.a31
- Update to 3.01 alpha release 31

* Wed Jul  8 2015 Paul Howarth <paul@city-fan.org> - 10:3.01-0.2.a30
- Update to 3.01 alpha release 30

* Thu Jul  2 2015 Paul Howarth <paul@city-fan.org> - 10:3.01-0.2.a29
- Update to 3.01 alpha release 29

* Thu Mar 26 2015 Paul Howarth <paul@city-fan.org> - 10:3.01-0.2.a28
- Update to 3.01 alpha release 28

* Mon Feb  2 2015 Paul Howarth <paul@city-fan.org> - 10:3.01-0.2.a27
- Update to 3.01 alpha release 27

* Thu Jan  8 2015 Paul Howarth <paul@city-fan.org> - 10:3.01-0.2.a26
- Update to 3.01 alpha release 26

* Mon Oct 13 2014 Paul Howarth <paul@city-fan.org> - 10:3.01-0.2.a25
- Update to 3.01 alpha release 25
- Upstream moved to sourceforge
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Wed Mar  5 2014 Paul Howarth <paul@city-fan.org> - 10:3.01-0.2.a23
- Update to 3.01 alpha release 23

* Tue Jan 21 2014 Paul Howarth <paul@city-fan.org> - 10:3.01-0.2.a22
- Update to 3.01 alpha release 22

* Thu Jan  9 2014 Paul Howarth <paul@city-fan.org> - 10:3.01-0.2.a21
- Merge some improvements from Simone Caronni (http://negativo17.org/cdrtools/)
  - Use file capabilities rather than setuid where possible (i.e. if we have
    rpm 4.7 or above)
  - Build using shared libraries and create -libs and -devel sub-packages

* Mon Jan  6 2014 Paul Howarth <paul@city-fan.org> - 10:3.01-0.1.a21
- Update to 3.01 alpha release 21

* Wed Jan  1 2014 Paul Howarth <paul@city-fan.org> - 10:3.01-0.1.a20
- Update to 3.01 alpha release 20

* Sun Nov 24 2013 Paul Howarth <paul@city-fan.org> - 10:3.01-0.1.a19
- Update to 3.01 alpha release 19

* Tue Oct 15 2013 Paul Howarth <paul@city-fan.org> - 10:3.01-0.1.a18
- Update to 3.01 alpha release 18

* Tue Aug  6 2013 Paul Howarth <paul@city-fan.org> - 10:3.01-0.1.a17
- Update to 3.01 alpha release 17

* Thu Jul 11 2013 Paul Howarth <paul@city-fan.org> - 10:3.01-0.1.a16
- Update to 3.01 alpha release 16

* Tue Jun 11 2013 Paul Howarth <paul@city-fan.org> - 10:3.01-0.1.a15
- Update to 3.01 alpha release 15

* Tue Apr 23 2013 Paul Howarth <paul@city-fan.org> - 10:3.01-0.1.a14
- Update to 3.01 alpha release 14

* Wed Feb 27 2013 Paul Howarth <paul@city-fan.org> - 10:3.01-0.1.a13
- Update to 3.01 alpha release 13

* Tue Feb 12 2013 Paul Howarth <paul@city-fan.org> - 10:3.01-0.1.a12
- Update to 3.01 alpha release 12

* Wed Jan  9 2013 Paul Howarth <paul@city-fan.org> - 10:3.01-0.1.a11
- Update to 3.01 alpha release 11

* Tue Dec 18 2012 Paul Howarth <paul@city-fan.org> - 10:3.01-0.1.a10
- Update to 3.01 alpha release 10

* Tue Dec  4 2012 Paul Howarth <paul@city-fan.org> - 10:3.01-0.1.a09
- Update to 3.01 alpha release 9

* Mon Aug 20 2012 Paul Howarth <paul@city-fan.org> - 10:3.01-0.1.a08
- Update to 3.01 alpha release 8

* Fri Mar  2 2012 Paul Howarth <paul@city-fan.org> - 10:3.01-0.1.a07
- Update to 3.01 alpha release 7

* Mon Oct 17 2011 Paul Howarth <paul@city-fan.org> - 10:3.01-0.1.a06
- Import from Simone Caronni's package (see history at #507108)
- Update to 3.01 alpha release 6
- Drop devel package
- Disable parallel build, which has broken since alpha 5
- Replace gettext-devel buildreq with /usr/share/aclocal/iconv.m4, for
  support of ancient distributions prior to gettext/gettext-devel split

* Mon Jun 06 2011 Simone Caronni <negativo17@gmail.com> - 10:3.01-a05.1
- Updated

* Mon May 09 2011 Simone Caronni <negativo17@gmail.com> - 10:3.01-a04.1
- Updated

* Tue Mar 15 2011 Simone Caronni <negativo17@gmail.com> - 10:3.01-a03.1
- Updated

* Tue Feb 08 2011 Simone Caronni <negativo17@gmail.com> - 10:3.01-a02.1
- Updated

* Fri Dec 10 2010 Simone Caronni <negativo17@gmail.com> - 10:3.01-a01.2
- Fixed rpmlint errors

* Tue Dec 07 2010 Simone Caronni <negativo17@gmail.com> - 10:3.01-a01.1
- Updated to 3.01a01

* Mon Nov 29 2010 Simone Caronni <negativo17@gmail.com> - 10:3.00-4
- Remove linker paths
- Add setuid for cdda2wav, readcd and rscsi

* Fri Nov 26 2010 Roman Rakus <rrakus@redhat.com> - 10:3.00-2
- Fixed some rpmlint errors and warnings

* Thu Nov 25 2010 Simone Caronni <negativo17@gmail.com> - 10:3.00-1
- First build:
  - Patch default device to match standard Fedora behaviour: the first cdrom
    device set up by udev can be used without parameters
  - Recode everything from ISO-8859-1 to UTF-8
  - Obsoletes cdrkit but provides its components for anaconda, etc.
  - Epoch set to 10 to avoid loop problems with yum
